# Documentation for developpers

This package is the the main SeaCMS package.

## Installation

 - copy this repository on the server
 - copy the repository `seacms-manager` in a folder `seacms-manager` into the the folder of this curret repository
 - then start [`composer install`](https://getcomposer.org/) for this repository

## TODO

 - [ ] set contact addresses into `CODE_OF_CONDUCT.md` files
 - [ ] update `composer.json` file as described below
 - [ ] create a `SUPPORT.md` file at the root
 - [ ] update content of `.github/CONTRIBUTING.md`
 - [ ] check content of `.github/PULL_REQUEST_TEMPLATE.md`
 - [ ] update docs (French + English) for installation

## `composer.json` file

This files needs to be updated.
Currently, it uses `"minimum-stability": "dev",` to allow usage of `alpha` revisions of packages.

### TODO

add these fields :

```json
    "name": "TODO To be defined",
    "description": "TODO to complete",
    "homepage": "TODO To set",
    "authors": [
        {
            "name": "xxx",
            "email": "TODO complete",
            "homepage": "TODO complete",
            "role": "Developer"
        },
        {
            "name": "xxx",
            "email": "TODO complete",
            "homepage": "TODO complete",
            "role": "Developer"
        },
    ],
    "support": {
        "email": "support@example.org",
        "issues": "url",
        "source": "url",
        "docs": "url",
        "chat": "url",
        "rss": "url",
    },
    "funding": [
        {
            "type": "patreon",
            "url": "https://www.patreon.com/phpdoctrine"
        },
        {
            "type": "tidelift",
            "url": "https://tidelift.com/subscription/pkg/packagist-doctrine_doctrine-bundle"
        },
        {
            "type": "other",
            "url": "https://www.doctrine-project.org/sponsorship.html"
        }
    ]
```

## `.github` folder

It was choosen to name the folder as `.github` to allow compatibility for forks on GitHUb even if the folder could be named `.gitea`.

## reserved folders' name

 - `vendor` for composer
 - `node_modules` for `npm` and `yarn`
 - `archives` for archives' creation
 - `sites` for subsites on a farm
 - `public` for assets `public/img` `public/js` `public/css` , ....
 - `p` for main content path